package invite

import (
	"github.com/gin-gonic/gin"
	"github.com/perfect-panel/server/internal/logic/admin/invite"
	"github.com/perfect-panel/server/internal/svc"
	"github.com/perfect-panel/server/internal/types"
	"github.com/perfect-panel/server/pkg/result"
)

// Get invite manage list
func GetInviteManageListHandler(svcCtx *svc.ServiceContext) func(c *gin.Context) {
	return func(c *gin.Context) {
		var req types.GetInviteManageListRequest
		_ = c.ShouldBind(&req)
		if err := svcCtx.Validate(&req); err != nil {
			result.ParamErrorResult(c, err)
			return
		}

		l := invite.NewGetInviteManageListLogic(c.Request.Context(), svcCtx)
		resp, err := l.GetInviteManageList(&req)
		result.HttpResult(c, resp, err)
	}
}
